Subject: Re: [PATCH] powerpc/4xx: Add L2 cache node to AMCC Canyonlands dts file

From: Nathan Lynch <[email-masked]>
Date: Fri, 5 Dec 2008 15:04:48 -0600

Benjamin Herrenschmidt wrote:
> On Fri, 2008-12-05 at 06:08 -0500, Josh Boyer wrote:
> > Shouldn't there also be a next-level-cache property added to the cpu
> > node that references this?
> > 
> It would be nice indeed, it would allow the kernel to expose the cache
> info in sysfs

Currently the kernel only knows about the 'l2-cache' property and not
'next-level-cache'.  I've got patches to fix that, will post them
soon.